imports:
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Processing.yaml' }
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml' }
  - { resource: 'EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml' }

editor:
  config:
    contentsCss: ['EXT:rte_ckeditor/Resources/Public/Css/contents.css', 'EXT:ne_distribution/Resources/Public/Css/RTE/contents.css']
    stylesSet:
      - { name: 'Phonenumber Big', element: 'span', attributes: { class: 'phonenumber_big'} }
      - { name: 'Quote beige', element: 'span', attributes: { class: 'quote_beige'} }
      - { name: 'Blocklink', element: 'div', attributes: { class: 'blocklink'} }

    width: 800
    resize_dir: 'vertical'
    format_tags: 'p;h1;h2;h3;h4;h5;pre'

    toolbar:
      - [ 'Format', 'Styles', 'Bold', 'Italic', 'Subscript', 'Superscript']
      - [ 'Link']
      - [ 'NumberedList', 'BulletedList', 'Table' ]
      - [ 'RemoveFormat' ]
      - [ 'ShowBlocks', 'Source' ]
      - [ 'Undo', 'Redo' ]

    extraPlugins:
      - showblocks

    removePlugins:
      - image
